Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.event
Class AdjustmentEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--java.awt.AWTEvent
                  |
                  +--java.awt.event.AdjustmentEvent

All Implemented Interfaces:
  Serializable

public class AdjustmentEvent
extends AWTEvent

The adjustment event emitted by Adjustable objects.

Since:
  1.1
See Also:
  `Adjustable`, `AdjustmentListener`, Serialized Form

Field Summary
`static int` | `ADJUSTMENT_FIRST` Marks the first integer id for the range of adjustment event ids.
`static int` | `ADJUSTMENT_LAST` Marks the last integer id for the range of adjustment event ids.
`static int` | `ADJUSTMENT_VALUE_CHANGED` The adjustment value changed event.
`static int` | `BLOCK_DECREMENT` The block decrement adjustment type.
`static int` | `BLOCK_INCREMENT` The block increment adjustment type.
`static int` | `TRACK` The absolute tracking adjustment type.
`static int` | `UNIT_DECREMENT` The unit decrement adjustment type.
`static int` | `UNIT_INCREMENT` The unit increment adjustment type.

Fields inherited from class java.awt.AWTEvent
`ACTION_EVENT_MASK, ADJUSTMENT_EVENT_MASK, COMPONENT_EVENT_MASK, consumed, CONTAINER_EVENT_MASK, FOCUS_EVENT_MASK, HIERARCHY_BOUNDS_EVENT_MASK, HIERARCHY_EVENT_MASK, id, INPUT_METHOD_EVENT_MASK, INVOCATION_EVENT_MASK, ITEM_EVENT_MASK, KEY_EVENT_MASK, MOUSE_EVENT_MASK, MOUSE_MOTION_EVENT_MASK, PAINT_EVENT_MASK, RESERVED_ID_MAX, TEXT_EVENT_MASK, WINDOW_EVENT_MASK`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`AdjustmentEvent(Adjustable source, int id, int type, int value)` Constructs a AdjustmentEvent object with the specified Adjustable source, event type, adjustment type, and value.

Method Summary
`Adjustable` | `getAdjustable()` Returns the Adjustable object where this event originated.
`int` | `getAdjustmentType()` Returns the type of adjustment which caused the value changed event.
`int` | `getValue()` Returns the current value in the adjustment event.
`String` | `paramString()` Returns a string representing the state of this event.

Methods inherited from class java.awt.AWTEvent
`consume, finalize, getID, isConsumed, toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ADJUSTMENT_FIRST

    public static final int ADJUSTMENT_FIRST

  Marks the first integer id for the range of adjustment event ids.

### ADJUSTMENT_LAST

    public static final int ADJUSTMENT_LAST

  Marks the last integer id for the range of adjustment event ids.

### ADJUSTMENT_VALUE_CHANGED

    public static final int ADJUSTMENT_VALUE_CHANGED

  The adjustment value changed event.

### UNIT_INCREMENT

    public static final int UNIT_INCREMENT

  The unit increment adjustment type.

### UNIT_DECREMENT

    public static final int UNIT_DECREMENT

  The unit decrement adjustment type.

### BLOCK_DECREMENT

    public static final int BLOCK_DECREMENT

  The block decrement adjustment type.

### BLOCK_INCREMENT

    public static final int BLOCK_INCREMENT

  The block increment adjustment type.

### TRACK

    public static final int TRACK

  The absolute tracking adjustment type.

Constructor Detail

### AdjustmentEvent

    public AdjustmentEvent(Adjustable source,
                           int id,
                           int type,
                           int value)

  Constructs a AdjustmentEvent object with the specified Adjustable source, event type, adjustment type, and value. type, and value.
  Parameters:
    `source` - the Adjustable object where the event originated
    `id` - the event type
    `type` - the adjustment type
    `value` - the current value of the adjustment

Method Detail

### getAdjustable

    public Adjustable getAdjustable()

  Returns the Adjustable object where this event originated.

### getValue

    public int getValue()

  Returns the current value in the adjustment event.

### getAdjustmentType

    public int getAdjustmentType()

  Returns the type of adjustment which caused the value changed event.
  See Also:
    `UNIT_INCREMENT`, `UNIT_DECREMENT`, `BLOCK_INCREMENT`, `BLOCK_DECREMENT`, `TRACK`

### paramString

    public String paramString()

  Description copied from class: `AWTEvent`
  Returns a string representing the state of this event. This method is intended to be used only for debugging purposes, and the content and format of the returned string may vary between implementations. The returned string may be empty but may not be `null`.
  Overrides:
    `paramString` in class `AWTEvent`
  Following copied from class: `java.awt.AWTEvent`
  Returns:
    a string representation of this event.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.